Custom fields
Get custom field values for an entity
Returns all custom field values set on a specific entity. Each value includes the field definition metadata (slug, name, field_type) for convenience.
Authorization
apiKey AuthorizationBearer <token>
API key from your nodestash dashboard. Pass as a Bearer token in the Authorization header.
In: header
Path Parameters
entity_type*string
The plural entity type whose custom field values to access.
Value in
"contacts" | "companies" | "deals" | "activities"entity_id*string
The ID of the entity to get/set custom field values for.
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://api.nodestash.io/v1/contacts/ct_5hJ3kM9pQrVwXyZaB2cD4/custom-fields"{
"data": [
{
"id": "cfv_5hJ3kM9pQrVwXyZaB2cD4",
"type": "custom_field_value",
"attributes": {
"id": "cfv_5hJ3kM9pQrVwXyZaB2cD4",
"field_definition_id": "cf_5hJ3kM9pQrVwXyZaB2cD4",
"slug": "plan",
"name": "Plan",
"field_type": "select",
"value": "enterprise"
}
},
{
"id": "cfv_9xK7mN2qTsYvAzCe4fG6",
"type": "custom_field_value",
"attributes": {
"id": "cfv_9xK7mN2qTsYvAzCe4fG6",
"field_definition_id": "cf_9xK7mN2qTsYvAzCe4fG6",
"slug": "region",
"name": "Region",
"field_type": "text",
"value": "us-west"
}
}
],
"meta": {
"request_id": "req_abc123def456"
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "Request validation failed",
"details": [
{
"field": "email",
"message": "Invalid email"
}
]
},
"meta": {
"request_id": "req_abc123def456"
}
}{
"error": {
"code": "INVALID_API_KEY",
"message": "Missing or invalid Authorization header"
},
"meta": {
"request_id": "req_abc123def456"
}
}{
"error": {
"code": "RATE_LIMITED",
"message": "Rate limit exceeded"
},
"meta": {
"request_id": "req_abc123def456"
}
}